<?php



    register_sidebar(array(

        'before_widget' => '<div class="widget">',

    'after_widget' => '</div>',

 'before_title' => '<h2>',

        'after_title' => '</h2>',

    ));



function style_tag_cloud($tags)

{

	$tags = preg_replace_callback("|(class='tag-link-[0-9]+)('.*?)(style='font-size: )([0-9]+)(pt;')|",

		create_function(

			'$match',

			'$low=1; $high=5; $sz=($match[4]-8.0)/(22-8)*($high-$low)+$low; return "{$match[1]} tagsz-{$sz}{$match[2]}";'

		),

		$tags);

	return $tags;

}





/**

 * Template for comments and pingbacks.

 *

 * To override this walker in a child theme without modifying the comments template

 * simply create your own twentyten_comment(), and that function will be used instead.

 *

 * Used as a callback by wp_list_comments() for displaying the comments.

 *

 */

function _7th_gradenotebook_comment( $comment, $args, $depth ) {

	$GLOBALS['comment'] = $comment;

	switch ( $comment->comment_type ) :

		case '' :

	?>

	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">

		<div id="comment-<?php comment_ID(); ?>">

		<div class="comment-author vcard">

			<?php echo get_avatar( $comment, 40 ); ?>

			<?php printf( __( '%s <span class="says">says:</span>', '7thGrade' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>

		</div><!-- .comment-author .vcard -->

		<?php if ( $comment->comment_approved == '0' ) : ?>

			<em><?php _e( 'Your comment is awaiting moderation.', '7thGrade' ); ?></em>

			<br />

		<?php endif; ?>



		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">

			<?php

				/* translators: 1: date, 2: time */

				printf( __( '%1$s at %2$s', '7thGrade' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', '7thGrade' ), ' ' );

			?>

		</div><!-- .comment-meta .commentmetadata -->



		<div class="comment-body"><?php comment_text(); ?></div>



		<div class="reply">

			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>

		</div><!-- .reply -->

	</div><!-- #comment-##  -->



	<?php

			break;

		case 'pingback'  :

		case 'trackback' :

	?>

	<li class="post pingback">

		<p><?php _e( 'Pingback:', '7thGrade' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', '7thGrade'), ' ' ); ?></p>

	<?php

			break;

	endswitch;

}





// This theme uses wp_nav_menu() in one locations.

register_nav_menus( array(

	'header' => __( 'Primary Navigation', '7th Grade' ),

) );



global $content_width;

	if ( ! isset( $content_width ) ) {

	$content_width = 615;

	}



function _7th_comment_reply_js() {

	if ( is_singular() && comments_open() ) {

		if ( get_option( 'thread_comments' ) ) {

			wp_enqueue_script( 'comment-reply' );

		}

	}

}

add_theme_support('post-formats', array( 'aside', 'chat', 'gallery', 'image', 'link', 'quote', 'status', 'video', 'audio'));

add_theme_support( 'automatic-feed-links' );

add_theme_support( 'post-thumbnails' );

add_editor_style( 'style-editor.css' );



	

// Hook into the rendering of the tag cloud widget

add_action('wp_tag_cloud', 'style_tag_cloud');



?>



<?php

function cufon_scripts() {





		wp_register_script('cufon1', get_template_directory_uri() . '/cufon/mootools-1.2.2-core-nc.js');



		wp_register_script('cufon2', get_template_directory_uri() . '/cufon/cufon.js');



		wp_register_script('cufon3', get_template_directory_uri() . '/cufon/NeNe_WeNo_Reliev_400.font.js');



		

		wp_enqueue_script('cufon1', get_template_directory_uri() . '/cufon/mootools-1.2.2-core-nc.js');



		wp_enqueue_script('cufon2', get_template_directory_uri() . '/cufon/cufon.js');



		wp_enqueue_script('cufon3', get_template_directory_uri() . '/cufon/NeNe_WeNo_Reliev_400.font.js');



		



		







	



}



add_action('init', 'cufon_scripts');



?>





<?php

/** Tell WordPress to run yourtheme_setup() when the 'after_setup_theme' hook is run. */

add_action( 'after_setup_theme', '_7thgradebook_setup' );



if ( ! function_exists('_7thgradebook_setup') ):

/**

* @uses add_custom_image_header() To add support for a custom header.

* @uses register_default_headers() To register the default custom header images provided with the theme.

*

* @since 3.0.0

*/

function _7thgradebook_setup() {



// This theme uses post thumbnails

add_theme_support( 'post-thumbnails' );



// Your changeable header business starts here

define( 'HEADER_TEXTCOLOR', '' );

// No CSS, just IMG call. The %s is a placeholder for the theme template directory URI.

define( 'HEADER_IMAGE', '%s/images/headers/forestfloor.jpg' );



// The height and width of your custom header. You can hook into the theme's own filters to change these values.

// Add a filter to yourtheme_header_image_width and yourtheme_header_image_height to change these values.

define( 'HEADER_IMAGE_WIDTH', apply_filters( '_7thgradebook_header_image_width', 1100 ) );

define( 'HEADER_IMAGE_HEIGHT', apply_filters( '_7thgradebook_header_image_height',	189 ) );



// We'll be using post thumbnails for custom header images on posts and pages.

// We want them to be 940 pixels wide by 198 pixels tall (larger images will be auto-cropped to fit).

set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );



// Don't support text inside the header image.

define( 'NO_HEADER_TEXT', true );



// Add a way for the custom header to be styled in the admin panel that controls

// custom headers. See yourtheme_admin_header_style(), below.





//  and thus ends the changeable header business.



// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.

register_default_headers( array (





) );

}

endif;



if ( ! function_exists( '_7thgradebook_admin_header_style' ) ) :

/**

* Styles the header image displayed on the Appearance > Header admin panel.

*

* Referenced via add_custom_image_header() in yourtheme_setup().

*

* @since 3.0.0

*/

function _7thgradebook_admin_header_style() {

?>

<style type="text/css">

#headimg {

height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;

width: <?php echo HEADER_IMAGE_WIDTH; ?>px;

}

#headimg h1, #headimg #desc {

display: none;

}

</style>

<?php

}

endif;

?>

<?php add_custom_background();?>

<?php // gets included in the site header

function header_style() {



    ?><style type="text/css">

        #header {

            background: url(<?php header_image(); ?>);

        }

    </style><?php 

}?>



<?php

// gets included in the admin header

function admin_header_style() {

    ?><style type="text/css">

        #headimg {

            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;

            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;

            background: no-repeat;

        }

    </style><?php

}



//add_custom_image_header('header_style', 'admin_header_style');

?>

